Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004101 [JEDI VCL] 02 Installation major always 2007-04-12 11:17 2007-04-16 04:32
Reporter mvrhov View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004101: installer overwrites paths of BDS2006 when using Delphi 2007 on the same machine
Description If you have BDS 2006 and Delphi 2007 installed, the installer will mess up and install D2007 as runtime packages into BDS 2006 installation of course then you can get a bunch of xxxx@qqqv procedure doesn't exist when you try to install packages that depend on JVCL.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0012031)
mvrhov (reporter)
2007-04-12 11:20

Now I have to manually clean up this mess:

[HKEY_CURRENT_USER\Software\Borland\CLEAN\4.0\Package Cache\JvAppFrmD10D.bpl]
"Demand Load Package"="1"
"Package Requires List"="vclx100.bpl,vcl100.bpl,designide100.bpl,rtl100.bpl,JclVcl100.bpl,Jcl100.bpl,JvCoreD10R.bpl,JvSystemD10R.bpl,JvCoreD10D.bpl,JvStdCtrlsD10R.bpl,JvAppFrmD10R.bpl"
"Package Group"="\"D:\\Moji dokumenti\\Borland Studio Projects\\Bpl\\JvAppFrmD10D.bpl\",\"C:\\Documents and Settings\\All Users\\Documents\\RAD Studio\\5.0\\Bpl\\JclVcl100.bpl\",\"C:\\Documents and Settings\\All Users\\Documents\\RAD Studio\\5.0\\Bpl\\Jcl100.bpl\",\"C:\\Documents and Settings\\All Users\\Documents\\RAD Studio\\5.0\\Bpl\\JvCoreD10R.bpl\",\"C:\\Documents and Settings\\All Users\\Documents\\RAD Studio\\5.0\\Bpl\\Jv3rdD10R.bpl\",\"C:\\Documents and Settings\\All Users\\Documents\\RAD Studio\\5.0\\Bpl\\JvSystemD10R.bpl\",\"D:\\Moji dokumenti\\Borland Studio Projects\\Bpl\\JvCoreD10D.bpl\",\"c:\\program files\\borland\\bds\\4.0\\Bin\\dclstd100.bpl\",\"C:\\Documents and Settings\\All Users\\Documents\\RAD Studio\\5.0\\Bpl\\JvStdCtrlsD10R.bpl\",\"C:\\Documents and Settings\\All Users\\Documents\\RAD Studio\\5.0\\Bpl\\JvAppFrmD10R.bpl\",\"C:\\Documents and Settings\\All Users\\Documents\\RAD Studio\\5.0\\Bpl\\JvCtrlsD10R.bpl\""
"Package Symbol Filename"="JvAppFrmD10D"
"Package Flags"=dword:4c100003
"Package Age"=dword:36884663
(0012052)
obones (administrator)
2007-04-13 01:09

Please watch your language, this does not give any incentive to help you out.
Further to this, this issue is being looked at, as you can see in the newsgroups.
(0012064)
mvrhov (reporter)
2007-04-13 09:03

I apologize for the language.

Hm. I didn't see this in the newsgroup.

If it's for any help. I have to rename the path for D07 bpls before BDS06 startup, otherwise it will take D07 paths for runtime bpls.
(0012121)
obones (administrator)
2007-04-16 04:32

This should now be fixed in SVN

- Issue History
Date Modified Username Field Change
2007-04-12 11:17 mvrhov New Issue
2007-04-12 11:20 mvrhov Note Added: 0012031
2007-04-13 01:09 obones Note Added: 0012052
2007-04-13 01:09 obones Summary installer fu*ks up paths => installer overwrites paths of BDS2006 when using Delphi 2007 on the same machine
2007-04-13 01:09 obones Description Updated
2007-04-13 09:03 mvrhov Note Added: 0012064
2007-04-16 04:32 obones Status new => resolved
2007-04-16 04:32 obones Fixed in Version => Daily / SVN
2007-04-16 04:32 obones Resolution open => fixed
2007-04-16 04:32 obones Assigned To => obones
2007-04-16 04:32 obones Note Added: 0012121


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker